import { ParserSettings } from 'ifc-lbd';
import { Observable } from 'rxjs';
import { ParsingProgress, SerializerService } from './icdd/serializer.service';
import * as i0 from "@angular/core";
export declare class LBDComponentsService {
    private readonly serializer;
    settings: ParserSettings;
    constructor(serializer: SerializerService);
    trackLBDParsingProgress(): Observable<ParsingProgress>;
    parseLBD(file: File, settings?: ParserSettings): Observable<ParsingProgress>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LBDComponentsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LBDComponentsService>;
}
