import { ColorRepresentation } from 'three';
import { ColorDefinition } from './bim-viewer.interfaces';
import { BimViewerService } from './bim-viewer.service';
import * as i0 from "@angular/core";
export declare class ColorService {
    private bimViewerService;
    private loadedFragments;
    private highlightMats;
    private globalIds;
    private selection;
    private tempMatrix;
    constructor(bimViewerService: BimViewerService);
    resetAllColors(): Promise<void>;
    colorElements(colorDefinitions: ColorDefinition[], resetPrevious?: boolean): Promise<void>;
    colorAllOfType(type: string, color: ColorRepresentation, resetPrevious?: boolean): Promise<void>;
    private reApplyColors;
    private addColorGroup;
    private update;
    private addHighlightToFragment;
    private updateFragmentHighlight;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ColorService>;
}
