import { Observable } from 'rxjs';
import { BimViewerService } from '../bim-viewer.service';
import { MenuSettings } from './menu.interface';
import * as i0 from "@angular/core";
export declare class MenuService {
    private bimViewerService;
    private settings;
    private settings$;
    constructor(bimViewerService: BimViewerService);
    getSettings(): Observable<MenuSettings>;
    handleItemClick(id: string): void;
    private resetAllComponents;
    private enableClipper;
    private disableClipper;
    private removeClipper;
    private enableDimensions;
    private disableDimensions;
    private removeDimensions;
    private zoomExtents;
    private firstPersonMode;
    private orbitMode;
    private planMode;
    private updateSettings;
    private showGrid;
    private hideGrid;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MenuService>;
}
