import { RDFMimetype, ResponseMimetype } from 'async-oxigraph';
export declare class ICDD {
    private entries;
    private fileName;
    private asyncOxigraph?;
    constructor();
    loadContainer(icdd: File, workerPath?: string, oxigraphWASMPathRelativeToWorker?: string): Promise<void>;
    query(query: string, responseMimetype?: ResponseMimetype): Promise<any>;
    load(triples: string, mimetype: RDFMimetype, baseURI?: string, graphURI?: string): Promise<string>;
    getNQuadsFiles(): Promise<string[]>;
    close(downloadICDD?: boolean): Promise<void>;
    download(): Promise<void>;
    private initStore;
    private entryToFile;
}
