import { ParserSettings } from 'ifc-lbd';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ParsingProgress {
    modelLoad: number;
    rdfParse: number;
    zipWrite: number;
    constructor(modelLoad: number, rdfParse: number, zipWrite: number);
}
export declare class SerializerService {
    private ifcAPI?;
    private exporter;
    private icddWriter;
    private expressFragmentMap;
    private expressGlobalMap;
    private parsingProgress;
    private parsingProgress$;
    private webIFCWasmPath;
    trackProgress(): Observable<ParsingProgress>;
    serailizeICDD(ifcFile: File, settings: ParserSettings): Promise<void>;
    private init;
    private processIFCGeometry;
    private parseRDF;
    private buildExpressIdToGlobalIdMap;
    private writeProperties;
    private writeFragments;
    private exportFragment;
    static ɵfac: i0.ɵɵFactoryDeclaration<SerializerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SerializerService>;
}
