import { ElementData, ModelMetaData } from "../bim-viewer.interfaces";
export interface ZipContent {
    folderPrefix: string;
    opaqueBoxes: any;
    transparentBoxes: any;
    fragmentMap: any;
    expressGlobalMap?: ModelMetaData;
    elementIdMap: {
        [globalId: string]: ElementData;
    };
    fragmentIdToModelIdxMap: {
        [fragmentId: string]: number;
    };
    fragmentTypeMap: {
        [fragmentId: string]: string;
    };
}
export declare function getZipContent(zipURL: string, modelIndex: number, modelName: string): Promise<ZipContent>;
